use embassy_sync::{blocking_mutex::raw::CriticalSectionRawMutex, pubsub::PubSubChannel};

use crate::ble::msg_service::MAX_STRING_LENGTH;

#[derive(Clone, Copy)]
pub enum Event {
    // New message.
    Message([u8; MAX_STRING_LENGTH]),
}

/// PubSub channel to listen to events and publish them as well..
pub static EVENTS: PubSubChannel<CriticalSectionRawMutex, Event, 4, 4, 4> = PubSubChannel::new();
